Bug 49860 - CSS style rules don't GC protect objects reachable as their properties
Summary: CSS style rules don't GC protect objects reachable as their properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-19 23:34 PST by Alexey Proskuryakov
Modified: 2010-11-23 00:56 PST (History)
2 users (show)

See Also:


Attachments
work in progress (28.72 KB, patch)
2010-11-19 23:38 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
proposed fix (66.87 KB, patch)
2010-11-19 23:59 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
proposed fix (66.90 KB, patch)
2010-11-20 00:17 PST, Alexey Proskuryakov
darin: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2010-11-19 23:34:10 PST
E.g. CSSStyleRule.style.
Comment 1 Alexey Proskuryakov 2010-11-19 23:38:13 PST
Created attachment 74470 [details]
work in progress
Comment 2 Alexey Proskuryakov 2010-11-19 23:59:07 PST
Created attachment 74471 [details]
proposed fix
Comment 3 Early Warning System Bot 2010-11-20 00:08:22 PST
Attachment 74471 [details] did not build on qt:
Build output: http://queues.webkit.org/results/6134073
Comment 4 Alexey Proskuryakov 2010-11-20 00:17:13 PST
Created attachment 74472 [details]
proposed fix

With Qt build fix.
Comment 5 WebKit Commit Bot 2010-11-22 12:13:21 PST
The commit-queue encountered the following flaky tests while processing attachment 74472 [details]:

compositing/iframes/overlapped-nested-iframes.html
fast/workers/storage/use-same-database-in-page-and-workers.html

Please file bugs against the tests.  These tests were authored by dumi@chromium.org and simon.fraser@apple.com.  The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2010-11-22 12:57:40 PST
The commit-queue encountered the following flaky tests while processing attachment 74472 [details]:

fast/profiler/throw-exception-from-eval.html
fast/workers/storage/use-same-database-in-page-and-workers.html

Please file bugs against the tests.  These tests were authored by dumi@chromium.org, kmccullough@apple.com, oliver@apple.com, and timothy@apple.com.  The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2010-11-22 13:46:31 PST
Comment on attachment 74472 [details]
proposed fix

Rejecting patch 74472 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'build-and-test', '--no-clean', '--no-update', '--test', '--non-interactive']" exit_code: 2
Last 500 characters of output:

..................................................................................
compositing .........
compositing/animation ...
compositing/color-matching ..
compositing/geometry ............................
compositing/iframes ......................
compositing/iframes/overlapped-nested-iframes.html -> failed

Exiting early after 1 failures. 1001 tests run.
75.58s total testing time

1000 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
2 test cases (<1%) had stderr output

Full output: http://queues.webkit.org/results/6353001
Comment 8 WebKit Commit Bot 2010-11-22 22:27:37 PST
Comment on attachment 74472 [details]
proposed fix

Rejecting patch 74472 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'apply-attachment', '--force-clean', '--non-interactive', 74472]" exit_code: 2
Last 500 characters of output:
e WebCore/css/CSSStyleRule.idl
patching file WebCore/css/WebKitCSSKeyframeRule.idl
patching file WebCore/css/WebKitCSSKeyframesRule.idl
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/fast/dom/StyleSheet/gc-rule-children-wrappers-expected.txt
patching file LayoutTests/fast/dom/StyleSheet/gc-rule-children-wrappers.html

Failed to run "[u'/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/6382004
Comment 9 Alexey Proskuryakov 2010-11-23 00:56:22 PST
Committed <http://trac.webkit.org/changeset/72590>.